Skip to content
GAMPEONCreate
New project

Turn on the community of a studio or project

POST
/v1/communities
curl --request POST \
--url https://api.gampeon.com/v1/communities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "studio": "example", "project": "example", "joinMode": "open", "description": "example" }'

Optional for every studio and project, at most one each. Studio owners and admins, or people who can edit the project. Starts with the roles everyone and Moderator, the categories Information (#welcome, #announcements, read-only) and Chat (#general, #help). Managers of the studio or project always have every permission and are members automatically.

Not available with access tokens.

Rate limit: 5 per hour per account.

Media typeapplication/json
object
studio

Studio slug

string
/^[a-z0-9][a-z0-9-]{1,30}[a-z0-9]$/
project

Project slug

string
/^[a-z0-9][a-z0-9-]{1,30}[a-z0-9]$/
joinMode
string
Allowed values: open invite
description
string
<= 500 characters

Created

Media typeapplication/json
object
id
required
integer

Example generated

{
"id": 1
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, forbidden, studio_hidden, project_hidden

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: studio_not_found, project_not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: community_exists

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 5 per hour per account. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback